Skip to main content
GET
/
1
/
derived_columns
/
{datasetSlug}
List all Calculated Fields
curl --request GET \
  --url https://api.honeycomb.io/1/derived_columns/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
[
  {
    "id": "<string>",
    "alias": "<string>",
    "expression": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "description": ""
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.honeycomb.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Query Parameters

alias
string

The Calculated Field alias.

Response

When listing all columns, an array of CalculatedField objects will be returned. When using key_name, will return a single CalculatedField object if found.

id
string
required
read-only

Unique identifier (ID), returned in response bodies.

alias
string
required

The human-readable name of the Calculated Field (also called Derived Column), as it will be referenced when building queries.

Required string length: 1 - 255
expression
string
required

The expression to evaluate to construct this Calculated Field's value. (Calculated Field is also called Derived Column.) Refer to the Calculated Field Reference.

Required string length: 1 - 4095
created_at
string
required
read-only

ISO8601 formatted time when the field was created.

updated_at
string
required
read-only

ISO8601 formatted time when the field was updated.

description
string
default:""

A human-readable description for the Calculated Field that displays in the UI.

Maximum string length: 255